Subject: Re: Opinions on bug fix organisation

From: Jan Hudec <[email-masked]>
Date: Fri, 18 May 2007 21:50:00 +0200

On Wed, May 16, 2007 at 11:38:28 +0100, Andy Parkins wrote:
> Now, I want to make a commit that fixes that bug.  These are the options:
> 
>  * -- * -- B -- * -- * -- * -- F
> 
>  or
> 
>  * -- * -- B -- * -- * -- * -- M
>             \                 /
>              --------------- F
> 
> That is - just commit a fix or, commit the fix, "F", directly on "B" then 
> merge that fix back to HEAD with "M".
> 
> I quite like option 2 because it records intent - i.e. "I wish I could have 
> gone back and changed this revision, but I can't", but it makes a more 
> complicated history.
> 
> What do people think?

The big advantage of the later is, that if you have:

 * -- B -- * -- * -- M1
       \
        -- * -- * -- M2

You can merge the fix done on yet another branch into how many branches you
need, so:

 * -- B -- * -- * ----- M1
       \               /
        -- * -- * ----/- M2
	 \           /  /
	  ----------F---

If you had the fix on one of the branches, you could only cherry-pick it to
the other, but the history would not really reflect that.

-- 
						 Jan 'Bulb' Hudec <[email-masked]>